Package org.opensaml.soap.wssecurity.impl

# Class NonceMarshaller

java.lang.Object
org.opensaml.core.xml.io.AbstractXMLObjectMarshaller
org.opensaml.soap.wssecurity.impl.AbstractWSSecurityObjectMarshaller
org.opensaml.soap.wssecurity.impl.AttributedStringMarshaller
org.opensaml.soap.wssecurity.impl.EncodedStringMarshaller
org.opensaml.soap.wssecurity.impl.NonceMarshaller

All Implemented Interfaces:
  `Marshaller`

public class NonceMarshaller extends EncodedStringMarshaller
NonceMarshaller.

## Constructor Summary

Constructors
Constructor
Description
`NonceMarshaller()`

## Method Summary

### Methods inherited from class org.opensaml.soap.wssecurity.impl.EncodedStringMarshaller

`marshallAttributes`

### Methods inherited from class org.opensaml.soap.wssecurity.impl.AttributedStringMarshaller

`marshallAttributeIDness, marshallElementContent`

### Methods inherited from class org.opensaml.core.xml.io.AbstractXMLObjectMarshaller

`marshall, marshall, marshall, marshallChildElements, marshallInto, marshallNamespacePrefix, marshallNamespaces, marshallSchemaInstanceAttributes, marshallUnknownAttributes, setDocumentElement`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### NonceMarshaller

public NonceMarshaller()